com.sap.security.um.user

## Interface UserAttribute

-     public interface UserAttribute

  The interface represents abstraction over a user general attribute, such as an e-mail address. Concrete attributes are identified using an alias that is system-specific.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMAIL_ADDRESS` Alias for the email address of the user.
    `static String` | `FIRST_NAME` Alias for the first name of the user.
    `static String` | `LAST_NAME` Alias for the last name of the user.
    `static String` | `NAME` Alias for the name of the user (see `Principal.getName()`).
    `static String` | `PASSWORD_POLICY` Alias for password policy associated with the user.
    `static String` | `WINDOWS_DOMAIN_QUALIFIER_NAME` Alias for the windows qualified name of the user.
    `static String` | `X509_SUBJECT_NAME` Alias for the X.509 subject name of the user.

- - ### Field Detail

    - #### NAME

          static final String NAME

      Alias for the name of the user (see `Principal.getName()`).
      See Also:
        Constant Field Values

    - #### FIRST_NAME

          static final String FIRST_NAME

      Alias for the first name of the user.
      See Also:
        Constant Field Values

    - #### LAST_NAME

          static final String LAST_NAME

      Alias for the last name of the user.
      See Also:
        Constant Field Values

    - #### EMAIL_ADDRESS

          static final String EMAIL_ADDRESS

      Alias for the email address of the user.
      See Also:
        Constant Field Values

    - #### X509_SUBJECT_NAME

          static final String X509_SUBJECT_NAME

      Alias for the X.509 subject name of the user.
      See Also:
        Constant Field Values

    - #### WINDOWS_DOMAIN_QUALIFIER_NAME

          static final String WINDOWS_DOMAIN_QUALIFIER_NAME

      Alias for the windows qualified name of the user.
      See Also:
        Constant Field Values

    - #### PASSWORD_POLICY

          static final String PASSWORD_POLICY

      Alias for password policy associated with the user.
      See Also:
        Constant Field Values

Copyright © 2020 SAP. All Rights Reserved.